Bug 20334 - cdrecord does not work with parallel port CD writer
cdrecord does not work with parallel port CD writer
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: cdrecord (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-04 09:18 EST by Vladimir Petrovic
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-11 06:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Petrovic 2000-11-04 09:18:25 EST
cdrecord does not work with parallel port HP 7100 cd writer. After loading 
paride, epat, pg, cdrecord -scanbus finds writer but any attempt to access
it (-prcap, or recording) fails with a message:
inapropriate ioctl for device: Cannot send SCSI cmd via ioctl

Kernel is 2.2.16 smp on 2-processor PII with SCSI contoler (aix7xxx) and
disk.

I recompiled cdrecord SRPM (first, I had to put 2.2.16 include files, since
RH by default installs 2.4.0 include files), and then it started working.
Comment 1 Need Real Name 2001-03-10 10:15:14 EST
I have the same problem with using a Microsolutions Backpack cd-rewriter

running kernel 2.2.16-22
and using the backpack kernel module
http://www.micro-solutions.com/software_library/linux/index.html
it's just a specialized paride driver.
load the pg module and I run cdrecord -scanbus i get the ioctl error,  i
compiled the source myself and that works fine.

Jeff Bearer
jbearer@tribweb.com
Comment 2 Tim Waugh 2001-03-11 06:09:15 EST
Which version did you compile the source for?  1.9?
Comment 3 Crutcher Dunnavant 2001-06-26 00:08:16 EDT
closed for lack of info

Note You need to log in before you can comment on or make changes to this bug.